[17.04 FEAT] Upgrade to newest version of zlib >=1.2.11

Bug #1664595 reported by bugproxy on 2017-02-14
16
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Ubuntu on IBM z Systems
Undecided
Unassigned
zlib (Ubuntu)
Undecided
Skipper Bug Screeners

Bug Description

Upgrade to newest version available.

bugproxy (bugproxy) on 2017-02-14
tags: added: architecture-s39064 bugnameltc-151457 severity-high targetmilestone-inin1704
Changed in ubuntu:
assignee: nobody → Skipper Bug Screeners (skipper-screen-team)
affects: ubuntu → zlibc (Ubuntu)
Dimitri John Ledkov (xnox) wrote :

When filing version upgrade requests, could you please elaborate why you want them? e.g. are there specific features and/or bug fixes you are after? Rather than just an updated string in --version.

Also I guess you do not mean the on-the-fly auto-uncompressing C library, but you mean zlib; will update meta data.

affects: zlibc (Ubuntu) → zlib (Ubuntu)
Dimitri John Ledkov (xnox) wrote :

Guessing you are after:

- Add crc32_z() and adler32_z() functions with size_t lengths

Which was added in 1.2.9; which had regressions fixed eventually in 1.2.11.

information type: Private → Public
Changed in zlib (Ubuntu):
status: New → In Progress
Changed in ubuntu-z-systems:
status: New → In Progress
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package zlib - 1:1.2.11.dfsg-0ubuntu1

---------------
zlib (1:1.2.11.dfsg-0ubuntu1) zesty; urgency=medium

  * New upstream release. LP: #1664595
  * Drop CVE patches, applied upstream.
  * Add watch file, with GPG tarball checking, and version mangling.
  * Add stanzas to debian/copyright file to automatically repackage
    tarball into dfsg tarball.
  * Add new symbols.

 -- Dimitri John Ledkov <email address hidden> Thu, 16 Feb 2017 15:15:29 +0000

Changed in zlib (Ubuntu):
status: In Progress → Fix Released
Changed in ubuntu-z-systems:
status: In Progress → Fix Released

Upgrade to newest version available.

When filing version upgrade requests, could you please elaborate why you want them? e.g. are there specific features and/or bug fixes you are after? Rather than just an updated string in --version.

Also I guess you do not mean the on-the-fly auto-uncompressing C library, but you mean zlib; will update meta data.

Guessing you are after:

- Add crc32_z() and adler32_z() functions with size_t lengths

Which was added in 1.2.9; which had regressions fixed eventually in 1.2.11.

This bug was fixed in the package zlib - 1:1.2.11.dfsg-0ubuntu1

---------------
zlib (1:1.2.11.dfsg-0ubuntu1) zesty; urgency=medium

* New upstream release. LP: #1664595
* Drop CVE patches, applied upstream.
* Add watch file, with GPG tarball checking, and version mangling.
* Add stanzas to debian/copyright file to automatically repackage
tarball into dfsg tarball.
* Add new symbols.

-- Dimitri John Ledkov <email address hidden> Thu, 16 Feb 2017 15:15:29 +0000

bugproxy (bugproxy) wrote :

------- Comment From <email address hidden> 2017-04-19 10:32 EDT-------
IBM Distro Status -> Closed ; available with GA version

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers